# $Revision: 1.30 $, $Date: 2004/09/19 22:09:06 $
Summary:	Miscellaneous editor extensions
Summary(pl):	Rne rozszerzenia dla edytora
Name:		xemacs-edit-utils-pkg
%define		srcname	edit-utils
Version:	2.10
Release:	2
License:	GPL
Group:		Applications/Editors/Emacs
Source0:	ftp://ftp.xemacs.org/xemacs/packages/%{srcname}-%{version}-pkg.tar.gz
# Source0-md5:	8d3c77a3ae8fb443a608a148e32e0d48
URL:		http://www.xemacs.org/
BuildArch:	noarch
Conflicts:	xemacs-sumo
Requires:	xemacs
Requires:	xemacs-base-pkg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Miscellaneous xemaqcs editor extensions, you probably want to have
installed in your system.

%description -l pl
Rne rozszerzenia dla xemacsa, ktre najprawdopodobniej chcesz mie
zainstalowane w swoim systemie.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

cp -a * $RPM_BUILD_ROOT%{_datadir}/xemacs-packages

# remove .el file if corresponding .elc file exists
find $RPM_BUILD_ROOT -type f -name "*.el" | while read i; do test ! -f ${i}c || rm -f $i; done

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc lisp/edit-utils/ChangeLog
%dir %{_datadir}/xemacs-packages/lisp/*
%{_datadir}/xemacs-packages/lisp/*/*.el*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xemacs-edit-utils-pkg.spec,v $
Revision 1.30  2004/09/19 22:09:06  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.29  2003/11/26 13:05:44  speedy
updated to  2.10

Revision 1.28  2003/05/28 13:03:05  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:28:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2002/11/21 16:29:10  mis
- autoupdated to 1.95

Revision 1.25  2002/09/03 02:22:53  kloczek
- (auto)updated to 1.92.

Revision 1.24  2002/07/17 17:21:45  kloczek
- updated to 1.89 and use new %doc.

Revision 1.23  2002/04/18 13:54:18  wiget
updated to 1.82

Revision 1.22  2002/04/14 12:26:57  klakier
- massive change: pack .el file id compiled .elc file does not exist
- not tested for all affected packages, you may blame me if something fails

Revision 1.21  2002/02/22 23:30:03  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/18 18:31:33  gotar
- %desc

Revision 1.19  2002/02/17 14:44:13  kloczek
- updated to 1.76.

Revision 1.18  2002/01/18 02:15:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/11/27 16:36:19  mis
- autoupdated to 1.70

Revision 1.16  2001/09/21 08:12:45  mis
- autoupdated to 1.69

Revision 1.15  2001/08/28 10:21:46  mis
- autoupdated to 1.65

Revision 1.14  2001/08/20 21:19:12  kloczek
- spec adapterized.

Revision 1.13  2001/08/02 08:34:08  mis
- autoupdated to 1.64

Revision 1.12  2001/05/11 18:39:33  mis
- autoupdated to 1.59

Revision 1.11  2001/02/13 18:07:32  mis
- updated to 1.55

Revision 1.10  2000/11/29 13:35:23  wiget
new versions (massive upgrade)

Revision 1.9  2000/09/26 08:43:12  kloczek
- fix: changed base Source url to ftp://ftp.xemacs.org/xemacs/packages/.

Revision 1.8  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:55:17  baggins
- translated kloczkish into english

Revision 1.6  2000/03/28 01:42:31  kloczek
- cleanups and reorganizations.

Revision 1.5  2000/03/27 16:25:46  klakier
- added info patches

Revision 1.2  2000/02/07 22:37:28  klakier
- some fixes

Revision 1.1  1999/12/08 17:35:44  klakier
Scripts to produce xemacs-<package>-pkg.spec
I decided to separate xemacs and its packages for some reasons
